Skip to main content
GET
Get contact by ID with custom attributes

Path Parameters

Response

Contact found

id
string
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

organizationId
string
required
Example:

"123e4567-e89b-12d3-a456-426614174000"

primaryPhone
string
required
Example:

"+212612345678"

channels
string[] | null
required
Example:
createdAt
string<date-time>
required
Example:

"2024-01-01T00:00:00.000Z"

updatedAt
string<date-time>
required
Example:

"2024-01-01T00:00:00.000Z"

customAttributes
object[]
required
firstName
string | null
Example:

"John"

lastName
string | null
Example:

"Doe"

fullName
string | null
Example:

"John Doe"

primaryEmail
string | null
Example:

"john@example.com"

address
string | null
Example:

"123 Main St"

city
string | null
Example:

"Casablanca"

state
string | null
Example:

"Casablanca-Settat"

zip
string | null
Example:

"20000"

occupation
string | null
Example:

"Engineer"

preferredChannel
string | null
Example:

"phone"

gender
enum<string>
Available options:
male,
female